## python-mill-local 0.4.0

=== requirements.txt ===
aiohttp
async_timeout

## python-mill-local 0.3.0

=== debian/changelog ===
python-mill-local (0.3.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 02 Dec 2024 20:16:25 +0000

python-mill-local (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1088824)

 -- Edward Betts <edward@4angle.com>  Sun, 01 Dec 2024 17:31:23 +0000

=== debian/control ===
Source: python-mill-local
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-async-timeout <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Danielhiversen/pyMillLocal
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-mill-local
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-mill-local.git

Package: python3-mill-local
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for local communication with Gen 3 Mill heaters
 This library enables local communication with Generation 3 Mill heaters,
 facilitating interaction over the local REST API via Wi-Fi. Users can retrieve
 a summary of device information and access detailed control status. The
 library provides functionality to set the target temperature and adjust the
 operation mode, offering control over heating parameters without relying on
 cloud connectivity. It supports integration with applications seeking to
 locally manage heating devices in a smart home environment.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mill-local
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf mill_local.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-mill-local-$1\.tar\.gz/ \
  https://github.com/Danielhiversen/pyMillLocal/tags .*/v?(\d\S+)\.tar\.gz

## python-mill-local 0.4.0

=== debian/changelog ===
python-mill-local (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 01 Mar 2025 08:40:24 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://github.com/Danielhiversen/pyMillLocal
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-mill-local
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-mill-local.git

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-aioresponses,
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 @,

=== debian/watch ===
version=4
https://github.com/Danielhiversen/pyMillLocal/tags .*/v?(\d\S+)\.tar\.gz

## python-mill-local 0.5.0

=== debian/changelog ===
python-mill-local (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sun, 07 Dec 2025 07:20:48 +0000

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,7 @@
  python3-async-timeout <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/Danielhiversen/pyMillLocal
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-mill-local
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-mill-local.git

=== debian/watch ===
Version: 5

Template: Github
Owner: Danielhiversen
Project: pyMillLocal
